"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Box = Box;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _react = _interopRequireDefault(require("react"));
var _style = require("../../style");
var _button = require("../button");
var _templateObject, _templateObject2, _templateObject3, _templateObject4, _templateObject5;
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }
var BoxOuter = _styledComponents.default.div(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n    border: solid 1px ", ";\n    border-radius: 4px;\n    color: ", ";\n"])), _style.cv.border4, _style.cv.text1);
var BoxDiv = _styledComponents.default.div(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n    padding: 22px 24px;\n\n    font-size: 0.875rem;\n    font-weight: 400;\n    line-height: 1.6;\n\n    display: flex;\n    flex-direction: column;\n    gap: 8px;\n"])));
var BoxTitle = _styledComponents.default.h4(_templateObject3 || (_templateObject3 = _taggedTemplateLiteral(["\n    font-size: 1.25rem;\n    line-height: 1.5;\n    font-weight: 500;\n    letter-spacing: -0.020625rem;\n"])));
var BoxHeaderDiv = _styledComponents.default.div(_templateObject4 || (_templateObject4 = _taggedTemplateLiteral(["\n    display: flex;\n    align-items: center;\n    justify-content: space-between;\n    padding: 8px 24px;\n    background-color: ", ";\n    border-bottom: solid 1px ", ";\n    font-size: 0.875rem;\n"])), _style.cv.bg_element2, _style.cv.border4);
var BoxFooterDiv = _styledComponents.default.div(_templateObject5 || (_templateObject5 = _taggedTemplateLiteral(["\n    display: flex;\n    align-items: center;\n    justify-content: space-between;\n    padding: 10px 24px;\n    background-color: ", ";\n    border-top: solid 1px ", ";\n    font-size: 0.875rem;\n    border-bottom-left-radius: 4px;\n    border-bottom-right-radius: 4px;\n"])), _style.cv.bg_element2, _style.cv.border4);
function BoxFooter(props) {
  return /*#__PURE__*/_react.default.createElement(BoxFooterDiv, null, /*#__PURE__*/_react.default.createElement("div", null, props.text), /*#__PURE__*/_react.default.createElement(_button.Button, props.button));
}
/**
 * 디자인을 위한 컴포넌트입니다.
 *
 * 만약 레이아웃만을 위한 태그가 필요하다면 \<Flex\>를 사용해주세요.
 */
function Box(props) {
  if (props.footer && props.footerTemplate) {
    throw new Error('You can ese either "footer" or "footerNode"');
  }
  return /*#__PURE__*/_react.default.createElement(BoxOuter, null, /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, props.header && /*#__PURE__*/_react.default.createElement(BoxHeaderDiv, null, props.header), /*#__PURE__*/_react.default.createElement(BoxDiv, null, props.title && /*#__PURE__*/_react.default.createElement(BoxTitle, null, props.title), props.children), props.footerTemplate && /*#__PURE__*/_react.default.createElement(BoxFooter, props.footerTemplate), props.footer && /*#__PURE__*/_react.default.createElement(BoxFooterDiv, null, props.footer)));
}