"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BoxLayout = BoxLayout;
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _style = require("../../style");
var _templateObject, _templateObject2;
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }
var PageLayoutOuter = _styledComponents.default.div(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n    width: 100%;\n    background-color: ", ";\n    margin-top: ", ";\n    display: flex;\n    justify-content: center;\n    padding: ", ";\n"])), function (props) {
  return props.backgroundColor;
}, function (props) {
  return props.marginTop;
}, function (props) {
  return props.padding;
});
var PageLayoutInner = _styledComponents.default.div(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n    display: flex;\n    flex-direction: column;\n    width: 100%;\n    max-width: ", ";\n    gap: ", ";\n    margin: 0px ", ";\n\n    @media (max-width: 767px) {\n        margin: 0px 8px;\n    }\n"])), function (props) {
  return props.width;
}, function (props) {
  return props.gap;
}, function (props) {
  return props.gutter;
});
function BoxLayout(_ref) {
  var _ref$width = _ref.width,
    width = _ref$width === void 0 ? _style.cv.pageWidth : _ref$width,
    _ref$gap = _ref.gap,
    gap = _ref$gap === void 0 ? '8px' : _ref$gap,
    _ref$gutter = _ref.gutter,
    gutter = _ref$gutter === void 0 ? '24px' : _ref$gutter,
    _ref$backgroundColor = _ref.backgroundColor,
    backgroundColor = _ref$backgroundColor === void 0 ? _style.cv.bg_page2 : _ref$backgroundColor,
    children = _ref.children,
    _ref$marginTop = _ref.marginTop,
    marginTop = _ref$marginTop === void 0 ? '0px' : _ref$marginTop,
    _ref$padding = _ref.padding,
    padding = _ref$padding === void 0 ? '0px' : _ref$padding;
  return /*#__PURE__*/_react.default.createElement(PageLayoutOuter, {
    marginTop: marginTop,
    backgroundColor: backgroundColor,
    padding: padding
  }, /*#__PURE__*/_react.default.createElement(PageLayoutInner, {
    width: width,
    gap: gap,
    gutter: gutter
  }, children));
}
BoxLayout.displayName = 'BoxLayout';