"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ButtonToolTipBox = ButtonToolTipBox;
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _style = require("../../style");
var _templateObject, _templateObject2, _templateObject3, _templateObject4, _templateObject5, _templateObject6;
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }
var ToolTipBox = _styledComponents.default.div(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n    position: relative;\n    background-color: ", ";\n    color: ", ";\n    font-size: 12px;\n    border-radius: 6px;\n    padding: 4px 8px;\n    white-space: pre;\n    user-select: none;\n    pointer-events: none;\n    z-index: 99999;\n\n    &::after {\n        content: '';\n        position: absolute;\n        border-style: solid;\n        border-width: 5px;\n        user-select: none;\n        pointer-events: none;\n    }\n"])), _style.cv.bg_element5, _style.cv.text5);
var ToolTipBoxTop = (0, _styledComponents.default)(ToolTipBox)(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n    margin-bottom: 12px;\n    transform: translate(-50%, 0%);\n\n    &::after {\n        top: 100%;\n        left: 50%;\n        transform: translate(-50%, 0%);\n        border-color: ", " transparent transparent transparent;\n    }\n"])), _style.cv.bg_element5);
var ToolTipBoxBottom = (0, _styledComponents.default)(ToolTipBox)(_templateObject3 || (_templateObject3 = _taggedTemplateLiteral(["\n    margin-top: 12px;\n    transform: translate(-50%, 0%);\n\n    &::after {\n        bottom: 100%;\n        left: 50%;\n        transform: translate(-50%, 0%);\n        border-color: transparent transparent ", " transparent;\n    }\n"])), _style.cv.bg_element5);
var ToolTipBoxRight = (0, _styledComponents.default)(ToolTipBox)(_templateObject4 || (_templateObject4 = _taggedTemplateLiteral(["\n    margin-left: 12px;\n    transform: translate(0%, -50%);\n\n    &::after {\n        top: 50%;\n        right: 100%;\n\n        transform: translate(0%, -50%);\n        border-color: transparent ", " transparent transparent;\n    }\n"])), _style.cv.bg_element5);
var ToolTipBoxLeft = (0, _styledComponents.default)(ToolTipBox)(_templateObject5 || (_templateObject5 = _taggedTemplateLiteral(["\n    margin-right: 12px;\n    transform: translate(0%, -50%);\n\n    &::after {\n        top: 50%;\n        left: 100%;\n        transform: translate(0%, -50%);\n        border-color: transparent transparent transparent ", ";\n    }\n"])), _style.cv.bg_element5);
var PosBox = _styledComponents.default.div(_templateObject6 || (_templateObject6 = _taggedTemplateLiteral(["\n    position: absolute;\n    inset: ", ";\n"])), function (props) {
  return props.pos;
});
function ButtonToolTipBox(_ref) {
  var text = _ref.text,
    direction = _ref.direction,
    pos = _ref.pos;
  var box;
  switch (direction) {
    case 'bottom':
      box = /*#__PURE__*/_react.default.createElement(ToolTipBoxBottom, null, text);
      break;
    case 'right':
      box = /*#__PURE__*/_react.default.createElement(ToolTipBoxRight, null, text);
      break;
    case 'left':
      box = /*#__PURE__*/_react.default.createElement(ToolTipBoxLeft, null, text);
      break;
    case 'top':
    default:
      box = /*#__PURE__*/_react.default.createElement(ToolTipBoxTop, null, text);
      break;
  }
  return /*#__PURE__*/_react.default.createElement(PosBox, {
    pos: pos
  }, box);
}