/// <reference types="hoist-non-react-statics" />
import React from 'react';
export interface HeaderProps {
    /**
     * Header에 들어가는 내용입니다. \<Header.Notice\>, \<Header.Nav\>, \<Header.SubMenu\> 순으로 작성합니다.
     *
     * \<Header.Notice\>는 선택이나, 포함하지 않는 경우 useHeaderNotice()를 사용할 수 없습니다.
     */
    children: React.ReactNode;
}
/**
 * 페이지 가장 위에 들어가는 Header입니다.
 */
export declare const Header: string & import("styled-components").StyledComponentBase<"header", import("styled-components").DefaultTheme, {}, never> & import("hoist-non-react-statics").NonReactStatics<never, {}> & {
    Nav: string & import("styled-components").StyledComponentBase<"nav", import("styled-components").DefaultTheme, {}, never> & import("hoist-non-react-statics").NonReactStatics<never, {}> & {
        Left: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
        Right: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
        Link: import("styled-components").StyledComponent<"a", import("styled-components").DefaultTheme, {}, never>;
        Button: import("styled-components").StyledComponent<"button", import("styled-components").DefaultTheme, {}, never>;
    };
    SubMenu: ((props: import("..").TabNavProps) => JSX.Element) & {
        displayName: string;
    };
    Notice: (({ children }: import("./headerNotice").HeaderNoticeProps) => JSX.Element) & {
        displayName: string;
    };
};
