"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Radio = void 0;
exports.RadioGroup = RadioGroup;
var _styledComponents = _interopRequireWildcard(require("styled-components"));
var _react = _interopRequireWildcard(require("react"));
var _style = require("../../style");
var _layout = require("../layout");
var _label = require("./label");
var _templateObject, _templateObject2, _templateObject3, _templateObject4;
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }
var Divver = _styledComponents.default.div(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n    position: relative;\n    display: flex;\n    align-items: center;\n    border-radius: 4px;\n    font-size: 14px;\n    gap: 8px;\n    user-select: none;\n\n    padding: 0px 8px;\n    cursor: pointer;\n    border: solid 1px ", ";\n    background-color: ", ";\n    border-radius: 4px;\n    height: 40px;\n    color: ", ";\n    transition: 150ms;\n    &:hover {\n        background-color: ", ";\n    }\n    &:focus-within {\n        border: solid 1px ", ";\n    }\n\n    &:has(input:checked) {\n        background-color: ", ";\n    }\n"])), _style.cv.border4, _style.cv.bg_element1_1, _style.cv.text1, _style.cv.bg_element2, _style.cv.border2, _style.cv.bg_element3);
var StyledInput = _styledComponents.default.input(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n    cursor: pointer;\n    appearance: none;\n    position: relative;\n\n    width: 16px;\n    height: 16px;\n    border-radius: 9px;\n    border: solid 2px ", ";\n\n    &:checked {\n        &::after {\n            position: absolute;\n            content: '';\n            top: 2px;\n            left: 2px;\n            width: 8px;\n            height: 8px;\n            border-radius: 4px;\n            background-color: ", ";\n        }\n    }\n"])), _style.cv.text1, _style.cv.text1);
var RadioLabel = _styledComponents.default.label(_templateObject3 || (_templateObject3 = _taggedTemplateLiteral(["\n    font-size: 0.875rem;\n    cursor: pointer;\n\n    ", "\n"])), function (props) {
  return props.required && (0, _styledComponents.css)(_templateObject4 || (_templateObject4 = _taggedTemplateLiteral(["\n            ::after {\n                content: ' *';\n            }\n        "])));
});
var Radio = /*#__PURE__*/_react.default.forwardRef(function (props, ref) {
  var inputRef = (0, _react.useRef)(null);
  (0, _react.useImperativeHandle)(ref, function () {
    return inputRef.current;
  });
  return /*#__PURE__*/_react.default.createElement(Divver, {
    onClick: function onClick() {
      var _inputRef$current;
      return (_inputRef$current = inputRef.current) === null || _inputRef$current === void 0 ? void 0 : _inputRef$current.click();
    }
  }, /*#__PURE__*/_react.default.createElement(StyledInput, _extends({}, props, {
    type: "radio",
    ref: inputRef
  }), props.children), props.label && /*#__PURE__*/_react.default.createElement(RadioLabel, {
    onClick: function onClick() {
      var _inputRef$current2;
      return (_inputRef$current2 = inputRef.current) === null || _inputRef$current2 === void 0 ? void 0 : _inputRef$current2.click();
    }
  }, props.label));
});
exports.Radio = Radio;
function RadioGroup(_ref) {
  var children = _ref.children,
    label = _ref.label;
  return /*#__PURE__*/_react.default.createElement(_layout.Flex.Column, null, label && /*#__PURE__*/_react.default.createElement(_label.Label, {
    required: false
  }, label), /*#__PURE__*/_react.default.createElement(_layout.Flex.Column, {
    gap: "6px"
  }, children));
}