"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Select = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _react = _interopRequireDefault(require("react"));
var _phosphorReact = require("phosphor-react");
var _style = require("../../style");
var _label = require("./label");
var _layout = require("../layout");
var _templateObject, _templateObject2, _templateObject3;
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }
var Divver = _styledComponents.default.div(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n    position: relative;\n    border: solid 1px ", ";\n    display: flex;\n    align-items: center;\n    border-radius: 4px;\n    height: 36px;\n    font-size: 14px;\n    background-color: ", ";\n\n    color: ", ";\n    transition: 150ms;\n    &:focus-within {\n        border: solid 1px ", ";\n        background-color: ", ";\n    }\n"])), _style.cv.border4, _style.cv.bg_element2, _style.cv.text1, _style.cv.border2, _style.cv.bg_element1);
var StyledSelect = _styledComponents.default.select(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n    cursor: pointer;\n    appearance: none;\n    border-radius: inherit;\n    border: 0;\n    color: currentColor;\n    font-size: inherit;\n    outline: none;\n    width: 100%;\n\n    padding: 0px 12px;\n    height: 100%;\n    &:focus-within {\n        outline: 0;\n    }\n\n    /* Firefox hacks */\n    // https://github.com/primer/react/blob/main/src/Select.tsx\n    background-color: inherit;\n    margin-top: 1px;\n    margin-left: 1px;\n    margin-bottom: 1px;\n\n    &:disabled {\n        background-color: transparent;\n    }\n\n    @media screen and (forced-colors: active) {\n        &:disabled {\n            background-color: -moz-combobox;\n        }\n    }\n"])));
var Icon = (0, _styledComponents.default)(_phosphorReact.CaretDown)(_templateObject3 || (_templateObject3 = _taggedTemplateLiteral(["\n    position: absolute;\n    right: 8px;\n    user-select: none;\n    pointer-events: none;\n"])));
var SelectA = /*#__PURE__*/_react.default.forwardRef(function (props, ref) {
  return /*#__PURE__*/_react.default.createElement(_layout.Flex, {
    style: {
      flexDirection: 'column'
    }
  }, props.label && /*#__PURE__*/_react.default.createElement(_label.Label, {
    required: props.required || false
  }, props.label), /*#__PURE__*/_react.default.createElement(Divver, null, /*#__PURE__*/_react.default.createElement(StyledSelect, _extends({
    ref: ref,
    required: props.required,
    disabled: props.disabled
  }, props), props.children), /*#__PURE__*/_react.default.createElement(Icon, {
    size: 16,
    color: _style.cv.text1
  })));
});
var Option = function Option(props) {
  return /*#__PURE__*/_react.default.createElement("option", props);
};
var OptionGroup = function OptionGroup(props) {
  return /*#__PURE__*/_react.default.createElement("optgroup", props);
};
var Select = Object.assign(SelectA, {
  Option: Option,
  OptionGroup: OptionGroup
});
exports.Select = Select;