"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Flex = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _templateObject, _templateObject2, _templateObject3, _templateObject4, _templateObject5;
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }
/**
 * display:flex인 일반적인 div 태그입니다.
 */
var FlexLayout = _styledComponents.default.div(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n    display: flex;\n    ", ";\n"])), function (props) {
  return props.gap && "gap: ".concat(props.gap);
});

/**
 * justify-content가 center인 \<Flex\>입니다.
 */
var FlexCenter = _styledComponents.default.div(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n    display: flex;\n    align-items: center;\n    justify-content: center;\n    ", ";\n"])), function (props) {
  return props.gap && "gap: ".concat(props.gap);
});

/**
 * justify-content: space-between 인 \<Flex\>입니다.
 */
var FlexBetween = _styledComponents.default.div(_templateObject3 || (_templateObject3 = _taggedTemplateLiteral(["\n    display: flex;\n    align-items: center;\n    justify-content: space-between;\n    ", ";\n"])), function (props) {
  return props.gap && "gap: ".concat(props.gap);
});

/**
 * flex-direction: column 인 \<Flex\>입니다.
 */
var FlexColumn = _styledComponents.default.div(_templateObject4 || (_templateObject4 = _taggedTemplateLiteral(["\n    display: flex;\n    flex-direction: column;\n    ", ";\n"])), function (props) {
  return props.gap && "gap: ".concat(props.gap);
});

/**
 * align-items: center 인 \<Flex\>입니다.
 */
var FlexRow = _styledComponents.default.div(_templateObject5 || (_templateObject5 = _taggedTemplateLiteral(["\n    display: flex;\n    align-items: center;\n    ", ";\n"])), function (props) {
  return props.gap && "gap: ".concat(props.gap);
});

/**
 * 레이아웃을 위한 컴포넌트입니다.
 */
var Flex = Object.assign(FlexLayout, {
  Center: FlexCenter,
  Between: FlexBetween,
  Column: FlexColumn,
  Row: FlexRow
});
exports.Flex = Flex;