"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.OpizeWrapper = OpizeWrapper;
var _styledComponents = require("styled-components");
var _react = _interopRequireDefault(require("react"));
var _style = require("../../style");
var _context = require("../../context");
var _cvThemeProvider = require("../../style/cvThemeProvider");
var _templateObject, _templateObject2;
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }
var BaseGLobalStyles = (0, _styledComponents.createGlobalStyle)(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n    * {\n        padding: 0;\n        margin: 0;\n        box-sizing: border-box;\n        -webkit-tap-highlight-color : transparent;\n    }\n\n    :root {\n        ", "\n        ", "\n        scroll-padding-top: 64px;\n        text-rendering: optimizeLegibility;\n        -webkit-font-smoothing: antialiased;\n        touch-action: manipulation;\n    }\n\n    @media (prefers-color-scheme: dark) {\n        body {\n            ", ";\n        }\n    }\n\n    body[data-theme='light'] {\n        ", ";\n    }\n\n    body[data-theme='dark'] {\n        ", ";\n    }\n\n    a {\n        -webkit-tap-highlight-color: rgba(0,0,0,0);\n    }\n"])), _style.builtCssVariable, _style.themes.light, _style.themes.dark, _style.themes.light, _style.themes.dark);
var GlobalStyles = (0, _styledComponents.createGlobalStyle)(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n    * {\n        padding: 0;\n        margin: 0;\n        box-sizing: border-box;\n        font-family: \"Inter\", 'Noto Sans KR', -apple-system,BlinkMacSystemFont,\"Segoe UI\",\"Roboto\",\"Oxygen\",\"Ubuntu\",\"Cantarell\",\"Fira Sans\",\"Droid Sans\",\"Helvetica Neue\",sans-serif;\n        -webkit-tap-highlight-color : transparent;\n    }\n\n    :root {\n        ", "\n        ", "\n        transition: 0.125s all ease-in;\n        scroll-padding-top: 64px;\n\n        text-rendering: optimizeLegibility;\n        -webkit-font-smoothing: antialiased;\n        touch-action: manipulation;\n    }\n\n    @media (prefers-color-scheme: dark) {\n        body {\n            ", ";\n            background-color: var(--bg-page2);\n        }\n    }\n\n    body[data-theme='light'] {\n        ", ";\n        background-color: var(--bg-page2);\n\n        * {\n            ::selection {\n                background: #74fde0;\n            }\n        }\n    }\n\n    body[data-theme='dark'] {\n        ", ";\n        background-color: var(--bg-page2);\n\n        * {\n            ::selection {\n                background: #7270ff;\n            }\n        }\n    }\n\n    a {\n        -webkit-tap-highlight-color: rgba(0,0,0,0);\n    }\n"])), _style.builtCssVariable, _style.themes.light, _style.themes.dark, _style.themes.light, _style.themes.dark);
/**
 * opize-design-system을 사용하기 위해 필수적으로 사용해야 하는 컴포넌트입니다.
 */
function OpizeWrapper(_ref) {
  var children = _ref.children,
    initLink = _ref.initLink,
    _ref$applyDefaultStyl = _ref.applyDefaultStyle,
    applyDefaultStyle = _ref$applyDefaultStyl === void 0 ? true : _ref$applyDefaultStyl;
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, applyDefaultStyle ? /*#__PURE__*/_react.default.createElement(GlobalStyles, null) : /*#__PURE__*/_react.default.createElement(BaseGLobalStyles, null), /*#__PURE__*/_react.default.createElement(_context.OpizeContextProvider, {
    initLink: initLink
  }, /*#__PURE__*/_react.default.createElement(_cvThemeProvider.CvThemeProvider, null, children)));
}